Bug 1092571 - Can't mount drive with cifs but can with kioslave smb [NEEDINFO]
Summary: Can't mount drive with cifs but can with kioslave smb
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba   
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-29 13:34 UTC by Ken Fallon
Modified: 2016-05-25 04:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 10:02:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ken: needinfo? (gdeschner)


Attachments (Terms of Use)
bash file to cycle through all "sec=" values (1.45 KB, text/plain)
2014-04-29 13:34 UTC, Ken Fallon
no flags Details
Detailed log from console and dmesg (110.05 KB, text/plain)
2014-04-29 13:35 UTC, Ken Fallon
no flags Details
Screenshot showing konsole browsing server (95.96 KB, image/png)
2014-04-29 13:36 UTC, Ken Fallon
no flags Details

Description Ken Fallon 2014-04-29 13:34:27 UTC
Created attachment 890790 [details]
bash file to cycle through all "sec=" values

Description of problem:
Existing shares were migrated to a new windows server. Mounting to the old server works but not to the new one running the same version. Now attempting to map a CIFS share on the console or in /etc/fstab fails. Mounting the same share with kioslave "smb://" works.

Version-Release number of selected component (if applicable):
Fedora release 20 (Heisenbug)
Linux clientpc 3.13.10-200.fc20.x86_64 #1 SMP Mon Apr 14 20:34:16 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
mount.cifs version: 6.3

How reproducible:
Attempt to mount a drive to windows server

Steps to Reproduce:
See attached bash file.
mount -v -t cifs -o ${sec}noauto,owner,rw,username=${win_username},workgroup=${workgroup},uid=${uid},gid=${gid},credentials=${credentials} //${server_ip}/${mount_path} ${this_dir}

Actual results:
# krb5 = mount error(126): Required key not available
# krb5i = (no password challenge) mount error(524): Unknown error 524
# ntlm = mount error(2): No such file or directory
# ntlmi = mount error(524): Unknown error 524
# ntlmv2 = mount error(2): No such file or directory
# ntlmv2i = mount error(524): Unknown error 524

Expected results:
It should mount.

Additional info:
Please see attached file fedora-samba-mount-bug.txt

Comment 1 Ken Fallon 2014-04-29 13:35:20 UTC
Created attachment 890791 [details]
Detailed log from console and dmesg

Comment 2 Ken Fallon 2014-04-29 13:36:14 UTC
Created attachment 890792 [details]
Screenshot showing konsole browsing server

Comment 3 Ken Fallon 2014-04-30 07:55:10 UTC
As clarification, I can connect to samba, other 3rd party cifs solutions and other Windows Servers. Unfortunately I was unable to get any information on the destination server other than it was "setup the same as the old one". I do have two wireshark packet captures of mounting cifs on the old server versus the new one. I am *not* attaching this to the report as it is not sanitized but it can be used to assist if necessary.

Comment 4 Ken Fallon 2014-07-09 08:49:55 UTC
I installed ubuntu on another PC and they have the same issue. Namely mounting via cifs is not working and mounting via their file browser is. This indicates to me that this is a cifs issue. 

Should I open this bug upstream ?

Comment 5 Fedora End Of Life 2015-05-29 11:42:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 20:21:17 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Ken Fallon 2016-02-15 10:02:11 UTC
I happened to be at FOSDEM (http://hackerpublicradio.org/series.php?id=89) and spotted Jeremy Allison from the SAMBA project who I had the pleasure of interviewing previously http://hackerpublicradio.org/eps.php?id=1451).

Jeremy was immediately able to pinpoint the issue to the kernel probably only supporting SMB version 1, while user space uses libsmbclient that supports smb1/smb2. 

I can confirm that the Fedora 21 as of at least kernel 4.1.12-101.fc21.x86_64 again supports mounting smb2 shares via /etc/fstab


Note You need to log in before you can comment on or make changes to this bug.